Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.hl7.msg
Interface HL7CommunicationControlInfoInterface

All Known Implementing Classes:
  HL7CommunicationControlInfo

    public interface HL7CommunicationControlInfoInterface

Version:
  cvs revision: $Revision: 1.3 $ Last Modified: $Date: 2008/04/22 05:54:45 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Method Summary
`boolean` | `getEnableJournalling()` Method getEnableJournalling
`long` | `getMaxCannedNAKSendRetry()` Method getMaxCannedNAKSendRetry
`long` | `getMaxEmptyReadRetry()` Method getMaxEmptyReadRetry
`long` | `getMaxNAKReceiveRetry()` Method getMaxNAKReceiveRetry
`long` | `getMaxNAKSendRetry()` Method getMaxNAKSendRetry
`long` | `getMaxNoResponse()` Method getMaxNoResponse
`int` | `getTimeToWaitForAResponse()` Method getTimeToWaitForAResponse
`boolean` | `isEnableJournalling()` Method isEnableJournalling
`void` | `setEnableJournalling(boolean b)` Method setEnableJournalling
`void` | `setMaxCannedNAKSendRetry(long l)` Method setMaxCannedNAKSendRetry
`void` | `setMaxEmptyReadRetry(long l)` Method setMaxEmptyReadRetry
`void` | `setMaxNAKReceiveRetry(long l)` Method setMaxNAKReceiveRetry
`void` | `setMaxNAKSendRetry(long l)` Method setMaxNAKSendRetry
`void` | `setMaxNoResponse(long l)` Method setMaxNoResponse
`void` | `setTimeToWaitForAResponse(int i)` Method setTimeToWaitForAResponse

Field Detail

### version

    static final java.lang.String version

See Also:
  Constant Field Values

Method Detail

### getMaxEmptyReadRetry

    long getMaxEmptyReadRetry()

  Method getMaxEmptyReadRetry

  Returns:
    long

### getMaxNAKReceiveRetry

    long getMaxNAKReceiveRetry()

  Method getMaxNAKReceiveRetry

  Returns:
    long

### getMaxNAKSendRetry

    long getMaxNAKSendRetry()

  Method getMaxNAKSendRetry

  Returns:
    long

### getMaxCannedNAKSendRetry

    long getMaxCannedNAKSendRetry()

  Method getMaxCannedNAKSendRetry

  Returns:
    long

### getMaxNoResponse

    long getMaxNoResponse()

  Method getMaxNoResponse

  Returns:
    long

### getTimeToWaitForAResponse

    int getTimeToWaitForAResponse()

  Method getTimeToWaitForAResponse

  Returns:
    int

### isEnableJournalling

    boolean isEnableJournalling()

  Method isEnableJournalling

  Returns:
    boolean (true/false)

### getEnableJournalling

    boolean getEnableJournalling()

  Method getEnableJournalling

  Returns:
    boolean

### setMaxEmptyReadRetry

    void setMaxEmptyReadRetry(long l)
                              throws HL7ApplicationException

  Method setMaxEmptyReadRetry

  Parameters:
    `l` - long value
  Throws:
    `HL7ApplicationException`

### setMaxNAKReceiveRetry

    void setMaxNAKReceiveRetry(long l)
                               throws HL7ApplicationException

  Method setMaxNAKReceiveRetry

  Parameters:
    `l` - long value
  Throws:
    `HL7ApplicationException`

### setMaxNAKSendRetry

    void setMaxNAKSendRetry(long l)
                            throws HL7ApplicationException

  Method setMaxNAKSendRetry

  Parameters:
    `l` - long value
  Throws:
    `HL7ApplicationException`

### setMaxCannedNAKSendRetry

    void setMaxCannedNAKSendRetry(long l)
                                  throws HL7ApplicationException

  Method setMaxCannedNAKSendRetry

  Parameters:
    `l` - long value
  Throws:
    `HL7ApplicationException`

### setMaxNoResponse

    void setMaxNoResponse(long l)
                          throws HL7ApplicationException

  Method setMaxNoResponse

  Parameters:
    `l` - long value
  Throws:
    `HL7ApplicationException`

### setTimeToWaitForAResponse

    void setTimeToWaitForAResponse(int i)
                                   throws HL7ApplicationException

  Method setTimeToWaitForAResponse

  Parameters:
    `l` - long value
  Throws:
    `HL7ApplicationException`

### setEnableJournalling

    void setEnableJournalling(boolean b)

  Method setEnableJournalling

  Parameters:
    `b` - boolean value

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD